net.posprinter.utils

## Class BitmapToByteData

- java.lang.Object
- - net.posprinter.utils.BitmapToByteData

-     public class BitmapToByteData
      extends java.lang.Object

  Covert bitmap to bytes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BitmapToByteData.AlignType`
    `static class` | `BitmapToByteData.BmpType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitmapToByteData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `baBmpToSendData(int m, android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `downLoadBmpToSendData(android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `downLoadBmpToSendTSCData(android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType)` Convert bitmap to tsc type
    `static byte[]` | `downLoadBmpToSendTSCdownloadcommand(android.graphics.Bitmap mBitmap)` Convert bitmap to tsc type
    `static byte[]` | `flashBmpToSendData(android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType)` Convert the image bitmap object into byte[] which can be sent directly to the printer
    `static byte[]` | `rasterBmpToSendData(int m, android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType)` Convert the image bitmap object into byte[] which can be sent directly to the printer
    `static byte[]` | `rasterBmpToSendData(int m, android.graphics.Bitmap mBitmap, BitmapToByteData.BmpType bmpType, BitmapToByteData.AlignType alignType, int pagewidth)` Convert the image bitmap object into byte [] that can be sent directly to the printer,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapToByteData

          public BitmapToByteData()

  - ### Method Detail

    - #### rasterBmpToSendData

          public static byte[] rasterBmpToSendData(int m,
                                                   android.graphics.Bitmap mBitmap,
                                                   BitmapToByteData.BmpType bmpType,
                                                   BitmapToByteData.AlignType alignType,
                                                   int pagewidth)

      Convert the image bitmap object into byte [] that can be sent directly to the printer,
      Parameters:
        `m` -
        `mBitmap` -
        `bmpType` -
        `alignType` -
        `pagewidth` -
      Returns:

    - #### rasterBmpToSendData

          public static byte[] rasterBmpToSendData(int m,
                                                   android.graphics.Bitmap mBitmap,
                                                   BitmapToByteData.BmpType bmpType)

      Convert the image bitmap object into byte[] which can be sent directly to the printer
      Parameters:
        `m` -
        `mBitmap` -
        `bmpType` -
      Returns:

    - #### flashBmpToSendData

          public static byte[] flashBmpToSendData(android.graphics.Bitmap mBitmap,
                                                  BitmapToByteData.BmpType bmpType)

      Convert the image bitmap object into byte[] which can be sent directly to the printer
      Parameters:
        `mBitmap` -
        `bmpType` -
      Returns:

    - #### downLoadBmpToSendTSCdownloadcommand

          public static byte[] downLoadBmpToSendTSCdownloadcommand(android.graphics.Bitmap mBitmap)

      Convert bitmap to tsc type
      Parameters:
        `mBitmap` -
      Returns:

    - #### downLoadBmpToSendTSCData

          public static byte[] downLoadBmpToSendTSCData(android.graphics.Bitmap mBitmap,
                                                        BitmapToByteData.BmpType bmpType)

      Convert bitmap to tsc type
      Parameters:
        `mBitmap` -
        `bmpType` -
      Returns:

    - #### downLoadBmpToSendData

          public static byte[] downLoadBmpToSendData(android.graphics.Bitmap mBitmap,
                                                     BitmapToByteData.BmpType bmpType)

      Parameters:
        `mBitmap` -
        `bmpType` -
      Returns:

    - #### baBmpToSendData

          public static byte[] baBmpToSendData(int m,
                                               android.graphics.Bitmap mBitmap,
                                               BitmapToByteData.BmpType bmpType)

      Parameters:
        `m` -
        `mBitmap` -
        `bmpType` -
      Returns: